javax.interceptor

## Class Interceptor.Priority

- java.lang.Object
- - javax.interceptor.Interceptor.Priority

- Enclosing class:
    Interceptor

      public static class Interceptor.Priority
      extends Object

  Priorities that define the order in which interceptors are invoked. These values should be used with the `Priority` annotation.

  - Interceptors defined by platform specifications should have priority values in the range PLATFORM_BEFORE up until LIBRARY_BEFORE, or starting at PLATFORM_AFTER.
  - Interceptors defined by extension libraries should have priority values in the range LIBRARY_BEFORE up until APPLICATION, or LIBRARY_AFTER up until PLATFORM_AFTER.
  - Interceptors defined by applications should have priority values in the range APPLICATION up until LIBRARY_AFTER.

  An interceptor that must be invoked before or after another defined interceptor can choose any appropriate value.

  Interceptors with smaller priority values are called first. If more than one interceptor has the same priority, the relative order of these interceptor is undefined.

  For example, an extension library might define an interceptor like this:

       @Priority(Interceptor.Priority.LIBRARY_BEFORE+10)
       @Interceptor
       public class ValidationInterceptor { ... }

  Since:
    Interceptors 1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APPLICATION` Start of range for interceptors defined by applications.
    `static int` | `LIBRARY_AFTER` Start of range for late interceptors defined by extension libraries.
    `static int` | `LIBRARY_BEFORE` Start of range for early interceptors defined by extension libraries.
    `static int` | `PLATFORM_AFTER` Start of range for late interceptors defined by platform specifications.
    `static int` | `PLATFORM_BEFORE` Start of range for early interceptors defined by platform specifications.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLATFORM_BEFORE

          public static final int PLATFORM_BEFORE

      Start of range for early interceptors defined by platform specifications.
      See Also:
        Constant Field Values

    - #### LIBRARY_BEFORE

          public static final int LIBRARY_BEFORE

      Start of range for early interceptors defined by extension libraries.
      See Also:
        Constant Field Values

    - #### APPLICATION

          public static final int APPLICATION

      Start of range for interceptors defined by applications.
      See Also:
        Constant Field Values

    - #### LIBRARY_AFTER

          public static final int LIBRARY_AFTER

      Start of range for late interceptors defined by extension libraries.
      See Also:
        Constant Field Values

    - #### PLATFORM_AFTER

          public static final int PLATFORM_AFTER

      Start of range for late interceptors defined by platform specifications.
      See Also:
        Constant Field Values

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.